<?php
    $expanded = $showTree ? $this->isTreeNodeExpanded($record) : null;
    $childRecords = $showTree ? $record->getChildren() : null;
    $treeLevelClass = $showTree ? 'list-tree-level-'.$treeLevel : '';
?>
<div class="notifications-list__item <?= $treeLevelClass ?> <?= $this->getRowClass($record) ?> m-a">
    <p>
      <?= $this->getColumnValue($record, $columns['created_at']); ?>
      <button
        role="button"
        class="btn btn-sm btn-link oc-icon-check"
        data-request="onRead"
        data-request-data="record_id: <?= $record->id; ?>"
        data-stripe-load-indicator
      >
        <?= Lang::get('studiobosco.backendnotifications::lang.mark_as_read'); ?>
      </button>
    </p>
    <p>
      <?php if ($record->url): ?>
      <a href="<?= $record->url; ?>">
      <?php endif; ?>
      <?= e($record->subject); ?>
      <?php if ($record->url): ?>
      </a>
      <?php endif; ?>
    </p>

    <div class="m-b notifications-list__item-body">
      <?= $record->body; ?>
    </div>
</div>

<?php if ($showTree && $expanded): ?>
    <?= $this->makePartial('list_body_rows', ['records' => $childRecords, 'treeLevel' => $treeLevel+1]) ?>
<?php endif ?>
